## Apache Zeta Components Manual :: File Source for table_diff.php

## Source for file table_diff.php

Documentation is available at table_diff.php

1. <?php
2. /**
3. *
4. * Licensed to the Apache Software Foundation (ASF) under one
5. * or more contributor license agreements. See the NOTICE file
6. * distributed with this work for additional information
7. * regarding copyright ownership. The ASF licenses this file
8. * to you under the Apache License, Version 2.0 (the
9. * "License"); you may not use this file except in compliance
10. * with the License. You may obtain a copy of the License at
11. *
12. * http://www.apache.org/licenses/LICENSE-2.0
13. *
14. * Unless required by applicable law or agreed to in writing,
15. * software distributed under the License is distributed on an
16. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
17. * KIND, either express or implied. See the License for the
18. * specific language governing permissions and limitations
19. * under the License.
20. *
21. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
22. * @version //autogentag//
23. * @filesource
24. * @package DatabaseSchema
25. */
26. /**
27. * A container to store table difference information in.
28. *
29. * @package DatabaseSchema
30. * @version //autogentag//
31. */
32. class ezcDbSchemaTableDiff extends ezcBaseStruct
33. {
34. /**
35. * All added fields
36. *
37. * @var array(string=>ezcDbSchemaField)
38. */
39. public $addedFields ;
41. /**
42. * All changed fields
43. *
44. * @var array(string=>ezcDbSchemaField)
45. */
46. public $changedFields ;
48. /**
49. * All removed fields
50. *
51. * @var array(string=>bool)
52. */
53. public $removedFields ;
55. /**
56. * All added indexes
57. *
58. * @var array(string=>ezcDbSchemaIndex)
59. */
60. public $addedIndexes ;
62. /**
63. * All changed indexes
64. *
65. * @var array(string=>ezcDbSchemaIndex)
66. */
67. public $changedIndexes ;
69. /**
70. * All removed indexes
71. *
72. * @var array(string=>bool)
73. */
74. public $removedIndexes ;
76. /**
77. * Constructs an ezcDbSchemaTableDiff object.
78. *
79. * @param array(string=>ezcDbSchemaField) $addedFields
80. * @param array(string=>ezcDbSchemaField) $changedFields
81. * @param array(string=>bool) $removedFields
82. * @param array(string=>ezcDbSchemaIndex) $addedIndexes
83. * @param array(string=>ezcDbSchemaIndex) $changedIndexes
84. * @param array(string=>bool) $removedIndexes
85. */
86. function __construct ( $addedFields = array(), $changedFields = array(),
87. $removedFields = array(), $addedIndexes = array(), $changedIndexes =
88. array(), $removedIndexes = array() )
89. {
90. $this-> addedFields = $addedFields;
91. $this-> changedFields = $changedFields;
92. $this-> removedFields = $removedFields;
93. $this-> addedIndexes = $addedIndexes;
94. $this-> changedIndexes = $changedIndexes;
95. $this-> removedIndexes = $removedIndexes;
96. }
98. static public function __set_state ( array $array )
99. {
100. return new ezcDbSchemaTableDiff(
101. $array['addedFields'], $array['changedFields'], $array['removedFields'],
102. $array['addedIndexes'], $array['changedIndexes'], $array['removedIndexes']
103. );
104. }
105. }
106. ?>

Documentation generated by phpDocumentor 1.4.3